%global pkg ibus
%global pkgname ibus.el

Name:		emacs-ibus
Version:	0.3.1
Release:	1%{?dist}
Summary:	IBus client for GNU Emacs

Group:		System Environment/Libraries
License:	GPLv3+
URL:		http://www11.atwiki.jp/s-irie/pages/21.html
Source0:	http://www11.atwiki.jp/s-irie/pub/emacs/ibus/ibus-el-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	emacs
Requires:	emacs(bin) >= %{_emacs_version}, ibus, python-xlib

%description
ibus.el is a IBus client for GNU Emacs. This program allows users
on-the-spot style input with IBus. The input statuses are individually
kept for each buffer, and prefix-keys such as C-x and C-c can be used
even if IBus is active. So you can input various languages fast and
comfortably by using it.


%package -n emacs-%{pkg}-el
Summary:	Elisp source files for %{pkgname} under GNU Emacs
Group:		System Environment/Libraries
Requires:	emacs-%{pkg} = %{version}-%{release}

%description -n emacs-%{pkg}-el
This package contains the elisp source files for %{pkgname} under GNU
Emacs. You do not need to install this package to run
%{pkgname}. Install the emacs-%{pkg} package to use %{pkgname} with
GNU Emacs.


%prep
%setup -q -n ibus-el-%{version}


%build
%{_emacs_bytecompile} ibus.el
cat > %{name}-init.el <<"EOF"
(require 'ibus)
(add-hook 'after-init-hook 'ibus-mode-on)
EOF

%install
%__mkdir_p $RPM_BUILD_ROOT%{_libexecdir}
install -p -m 755 ibus-el-agent $RPM_BUILD_ROOT%{_libexecdir}
%__mkdir_p $RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{pkg}
install -p -m 644 ibus.elc $RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{pkg}
install -p -m 644 ibus.el $RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{pkg}
%__mkdir_p $RPM_BUILD_ROOT%{_emacs_sitestartdir}
install -p -m 644 %{name}-init.el \
	$RPM_BUILD_ROOT%{_emacs_sitestartdir}/%{pkg}-init.el


%files
%defattr(-,root,root,-)
%doc README doc/ChangeLog doc/COPYING
%{_emacs_sitelispdir}/%{pkg}/ibus.elc
%{_libexecdir}/ibus-el-agent
%{_emacs_sitestartdir}/ibus-init.el
%dir %{_emacs_sitelispdir}/%{pkg}


%files -n emacs-ibus-el
%defattr(-,root,root,-)
%{_emacs_sitelispdir}/%{pkg}/ibus.el


%changelog
* Tue Feb 14 2012 Daiki Ueno <dueno@redhat.com> - 0.3.1-1
- new upstream release

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 26 2011 Daiki Ueno <dueno@redhat.com> - 0.3.0-1
- new upstream release

* Thu Nov  4 2010 Daiki Ueno <dueno@redhat.com> - 0.2.1-2
- don't set ibus-agent-file-name manually.

* Thu Nov  4 2010 Daiki Ueno <dueno@redhat.com> - 0.2.1-1
- new upstream release (closes #627358).
- simplify the spec not to clean BuildRoot.

* Thu Aug 19 2010 Daiki Ueno <dueno@redhat.com> - 0.2.0-1
- new upstream release (closes #620349).

* Mon Jun 14 2010 Daiki Ueno <dueno@redhat.com> - 0.1.1-1
- new upstream release.

* Tue Jun  1 2010 Daiki Ueno <dueno@redhat.com> - 0.1.0-2
- add version requirement for emacs(bin).
- preserve timestamp of installed files.

* Mon May 31 2010 Daiki Ueno <dueno@redhat.com> - 0.1.0-1
- initial packaging for Fedora.
